# eoMonOp< EOType > Class Template Reference

eoMonOp is the monary operator: genetic operator that takes only one EO. More...

`#include <eoOp.h>`

Inheritance diagram for eoMonOp< EOType >:

List of all members.

## Public Member Functions

| eoMonOp ()
| Ctor.
virtual std::string | className () const

## Detailed Description

### template<class EOType>
class eoMonOp< EOType >

eoMonOp is the monary operator: genetic operator that takes only one EO.

When defining your own, make sure that you return a boolean value indicating that you have changed the content.

Definition at line 101 of file eoOp.h.

The documentation for this class was generated from the following file:

- eoOp.h